Show / Hide Table of Contents

# Interface ISqlConnectionFactory

Interface for the SQL Connection factory

###### Namespace:Microsoft.SqlTools.ServiceLayer.Connection

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public interface ISqlConnectionFactory

### Methods

| Improve this Doc View Source

#### CreateSqlConnection(String)

Create a new SQL Connection object

##### Declaration

    DbConnection CreateSqlConnection(string connectionString)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | connectionString |

##### Returns

Type | Description
--- | ---
System.Data.Common.DbConnection |